This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 250747 - (Linux-Complete-Backu) Review Request: Linux-Complete-Backup-and-Recovery-HOWTO - bare metal recovery scripts & docs
Review Request: Linux-Complete-Backup-and-Recovery-HOWTO - bare metal recover...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Janssen
Fedora Extras Quality Assurance
:
: 250315 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-08-03 09:19 EDT by Charles Curley
Modified: 2009-10-04 02:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-04 02:14:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
thomasj: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Charles Curley 2007-08-03 09:19:04 EDT
This is my first package; sponsor, please.

Spec URL: http://www.charlescurley.com/Linux-Complete-Backup-and-Recovery-HOWTO/Linux-Complete-Backup-and-Recovery-HOWTO.spec
SRPM URL: http://www.charlescurley.com/Linux-Complete-Backup-and-Recovery-HOWTO/Linux-Complete-Backup-and-Recovery-HOWTO-2.3-1.fc7.src.rpm
Description: 

A set of scripts to back up and restore a minimal system for bare
metal restoration. They are useful on i386 systems. Patches for others
are welcome.

Install this package on clients, and the documentation package where
you want it.

This bug replaces bug 250315, which somehow got marked "closed".
Comment 1 Mamoru TASAKA 2007-08-03 22:00:31 EDT
*** Bug 250315 has been marked as a duplicate of this bug. ***
Comment 3 Nicholas Boyle 2007-08-13 23:35:17 EDT
I'm not sponsored, so this isn't official:

? - Package meets naming and packaging guidelines
--> Seems more a set of scripts than documentation... although I could be
looking at what it does all wrong :P  Consider renaming after script-suite?
OK - Spec file matches base package name.
OK? - Spec has consistant macro usage.
--> $RPM_BUILD_ROOT could be macro-ified as %{buildroot}
OK - License field in spec matches
OK - License is GPL
OK - License file is included in package
OK - Spec in American English
OK - Spec is legible.
NOT OK - Sources SHOULD match upstream md5sum
--> Source: e44ce87defb0b7f3688dbbded79bedc4 Package:
e44ce87defb0b7f3688dbbded79bedc4
OK - Package has correct buildroot.
OK - Package has %defattr and permissions on files is good.
? - Changelog section is correct. 
--> Not sure if one should put such direct references to the specfile in
%changelog... but it's probably bad form to change the %changelog after the fact... 
Comment 4 Charles Curley 2007-08-14 14:58:24 EDT
Thank you, Mr. Boyle.

> ? - Package meets naming and packaging guidelines
> --> Seems more a set of scripts than documentation... although I could be
> looking at what it does all wrong :P  Consider renaming after script-suite?

Hmmm. The current name is the name of the document at the Linux Documentation Project, and I figured that consistency would be a good idea. The main package is some of the scripts (more are to come), and the -doc subpackage is the original HOWTO in various formats. I could make the docs the main package and put the scripts into a -scripts subpackage, I suppose, but the current naming and subpackaging are consistent with current Fedora usage. I'm open to suggestions here.


> OK? - Spec has consistant macro usage.
> --> $RPM_BUILD_ROOT could be macro-ified as %{buildroot}

OK, done. It should show up in the next version.

> NOT OK - Sources SHOULD match upstream md5sum
> --> Source: e44ce87defb0b7f3688dbbded79bedc4 Package:
> e44ce87defb0b7f3688dbbded79bedc4

I'm not sure where that came from. In any case, it should go away as soon as I put new packages up on my server.


> ? - Changelog section is correct. 
> --> Not sure if one should put such direct references to the specfile in
> %changelog... but it's probably bad form to change the %changelog after the fact... 

That was the reason for the new package version, and the sole change. As with this one.

Again, new SRPM: http://www.charlescurley.com/Linux-Complete-Backup-and-Recovery-HOWTO/srpms/Linux-Complete-Backup-and-Recovery-HOWTO-2.3-3.fc7.src.rpm

And the revised spec is at the usual: http://www.charlescurley.com/Linux-Complete-Backup-and-Recovery-HOWTO/Linux-Complete-Backup-and-Recovery-HOWTO.spec

BTW, since my web page is pretty much automated, and comments for this bugzilla entry are not, the web page (http://www.charlescurley.com/Linux-Complete-Backup-and-Recovery-HOWTO.html) is authoritative for the most recent version, not bugzilla.
Comment 5 Thomas Janssen 2009-10-03 17:09:27 EDT
Are you still interested in this or is it dead?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Charles Curley 2009-10-03 20:03:38 EDT
It's dead.

Note You need to log in before you can comment on or make changes to this bug.